Ice Reference Documentation
<<< Previous |  | Next >>>

# Properties

If not stated otherwise in the description of the individual properties, the default value for all properties is the empty string. If the property takes a numeric value, the empty string is interpreted as zero.

# Ice Configuration Property

## Ice.Config

### Synopsis

    --Ice.Config
    --Ice.Config=1
    --Ice.Config=config_file

### Description

This property must be set from the command line with the `--Ice.Config`, `--Ice.Config=1`, or `--Ice.Config=``config_file` option.

If the `Ice.Config` property is empty or set to `1`, the Ice run time examines the contents of the `ICE_CONFIG` environment variable to retrieve the pathname of a configuration file. Otherwise, `Ice.Config` must be set to the pathname of a configuration file. (Pathnames can be relative or absolute.) Further property values are read from the configuration file thus specified.

#### Configuration File Syntax

A configuration file contains a number of property settings, one setting per line. Property settings have one of the forms

    property_name=      # Set property to the empty string or zero

    property_name=value # Assign value to property

The `#` character indicates a comment: the `#` character and anything following the `#` character on the same line are ignored. A line that has the `#` character as its first non-white space character is ignored in its entirety.

A configuration file is free-form: blank, tab, and newline characters serve as token delimiters and are otherwise ignored.

Any setting of the `Ice.Config` property inside the configuration file itself is ignored.

<<< Previous | Home | Next >>>
`IcePatch2::PartitionOutOfRangeException` |  | Ice Trace Properties